Debian Bug report logs - #511715
RFP: gallery3 -- web-based photo album written in PHP

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Schultheiss <schultmc@debian.org>

Date: Tue, 13 Jan 2009 20:00:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#511715; Package wnpp. (Tue, 13 Jan 2009 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Tue, 13 Jan 2009 20:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: gallery3 -- web-based photo album written in PHP
Date: Tue, 13 Jan 2009 14:58:26 -0500
Package: wnpp
Severity: wishlist
Owner: Michael Schultheiss <schultmc@debian.org>

* Package name    : gallery3
  Version         : 3.0
* URL             : http://gallery.sf.net
* License         : GPL
  Programming Lang: PHP
  Description     : web-based photo album written in PHP

Gallery3 is a web-based photo album with multiple user support.  It 
provides users with the ability to create and maintain their own albums 
via an intuitive web interface.
.
Gallery3 is a complete rewrite of the popular Gallery software that 
strives for a simpler codebase and reduced scope to ease 
maintainability.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Tue, 25 May 2010 17:11:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Tue, 25 May 2010 17:11:05 GMT) Full text and rfc822 format available.

Message #10 received at 511715@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 511715@bugs.debian.org
Cc: control@bugs.debian.org
Subject: gallery3: changing back from ITP to RFP
Date: Tue, 25 May 2010 17:06:26 +0000
retitle 511715 RFP: gallery3 -- web-based photo album written in PHP
noowner 511715
thanks

Hi,

This is an automatic email to change the status of gallery3 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting gallery3, please send a mail to
<control@bugs.debian.org> with:

 retitle 511715 ITP: gallery3 -- web-based photo album written in PHP
 owner 511715 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <511715@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: gallery3 -- web-based photo album written in PHP' from 'ITP: gallery3 -- web-based photo album written in PHP' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:17:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Michael Schultheiss <schultmc@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:17:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: gallery3 -- web-based photo album written in PHP' from 'RFP: gallery3 -- web-based photo album written in PHP' Request was from Michael Schultheiss <schultmc@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:57:06 GMT) Full text and rfc822 format available.

Owner recorded as Michael Schultheiss <schultmc@debian.org>. Request was from Michael Schultheiss <schultmc@debian.org> to control@bugs.debian.org. (Tue, 25 May 2010 17:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Tue, 07 Sep 2010 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharat Mediratta <bharat@menalto.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Tue, 07 Sep 2010 02:51:03 GMT) Full text and rfc822 format available.

Message #23 received at 511715@bugs.debian.org (full text, mbox):

From: Bharat Mediratta <bharat@menalto.com>
To: 511715@bugs.debian.org
Subject: Ping
Date: Mon, 06 Sep 2010 19:21:35 -0700
We're on the cusp of release Gallery 3.0 -- who should I talk to about 
getting this packaged up for Debian?  Thanks!

-Bharat




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511715; Package wnpp. (Tue, 07 Sep 2010 03:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 07 Sep 2010 03:21:02 GMT) Full text and rfc822 format available.

Message #28 received at 511715@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Bharat Mediratta <bharat@menalto.com>, 511715@bugs.debian.org
Subject: Re: Bug#511715: Ping
Date: Mon, 6 Sep 2010 23:11:02 -0400
[Message part 1 (text/plain, inline)]
Bharat Mediratta wrote:
> 
> We're on the cusp of release Gallery 3.0 -- who should I talk to
> about getting this packaged up for Debian?  Thanks!

I'm planning on packaging Gallery 3.0 for Debian as I've done with
Gallery 1 and Gallery 2.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Tue, 07 Sep 2010 03:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharat Mediratta <bharat@menalto.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Tue, 07 Sep 2010 03:45:07 GMT) Full text and rfc822 format available.

Message #33 received at 511715@bugs.debian.org (full text, mbox):

From: Bharat Mediratta <bharat@menalto.com>
To: Michael Schultheiss <schultmc@debian.org>
Cc: 511715@bugs.debian.org
Subject: Re: Bug#511715: Ping
Date: Mon, 06 Sep 2010 20:39:25 -0700
On 9/6/2010 8:11 PM, Michael Schultheiss wrote:
> Bharat Mediratta wrote:
>>
>> We're on the cusp of release Gallery 3.0 -- who should I talk to
>> about getting this packaged up for Debian?  Thanks!
>
> I'm planning on packaging Gallery 3.0 for Debian as I've done with
> Gallery 1 and Gallery 2.

Awesome, thanks Michael.  Let me know how I can help.

-Bharat




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Mon, 11 Oct 2010 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to friedemann.schorer@gmx.de:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Mon, 11 Oct 2010 11:54:03 GMT) Full text and rfc822 format available.


Message #38 received at 511715@bugs.debian.org (full text, mbox):

From: Friedemann Schorer <friedemann@familie-schorer.de>
To: 511715@bugs.debian.org
Date: Mon, 11 Oct 2010 13:46:02 +0200
[Message part 1 (text/plain, inline)]
Hi Michael,
great you filed an ITP (is that one of the longest ITPs ever? ;) ) - can
you tell when it may be ready for a first test? (Relax, don't wanna
push, just ask).

Thx!

    Friedemann

-- 

F.Schorer
This message is signed digitally to allow the verification of the
senders' identity. Please visit http://www.cacert.org/ to learn more
about digital certificates and how to get your own for free.

If you'd like to have your identity verified many assurers worldwide
(including me) will be happy to meet you personally to do so. Find one
on the website!
If you'd like to verify the signature of this mail, please import
CAcert's root keys from https://www.cacert.org/index.php?id=3



[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511715; Package wnpp. (Mon, 11 Oct 2010 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 11 Oct 2010 13:33:03 GMT) Full text and rfc822 format available.

Message #43 received at 511715@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: friedemann.schorer@gmx.de, 511715@bugs.debian.org
Subject: Re: Bug#511715: (no subject)
Date: Mon, 11 Oct 2010 09:28:59 -0400
Friedemann Schorer wrote:
> Hi Michael,
> great you filed an ITP (is that one of the longest ITPs ever? ;) ) - can
> you tell when it may be ready for a first test? (Relax, don't wanna
> push, just ask).

The initial package should be available shortly.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Tue, 11 Jan 2011 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharat Mediratta <bharat@menalto.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Tue, 11 Jan 2011 02:18:03 GMT) Full text and rfc822 format available.

Message #48 received at 511715@bugs.debian.org (full text, mbox):

From: Bharat Mediratta <bharat@menalto.com>
To: 511715@bugs.debian.org
Subject: ...time passes
Date: Mon, 10 Jan 2011 17:36:02 -0800
It's been 3 months since the last activity on this bug.  Can we please
get this packaged?  Michael, I am more than happy to beat the bushes to
find a new maintainer but right now this seems to be going nowhere which
is very frustrating.

thanks,
-Bharat





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511715; Package wnpp. (Tue, 11 Jan 2011 04:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Jan 2011 04:39:03 GMT) Full text and rfc822 format available.

Message #53 received at 511715@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Bharat Mediratta <bharat@menalto.com>, 511715@bugs.debian.org
Subject: Re: Bug#511715: ...time passes
Date: Mon, 10 Jan 2011 23:27:58 -0500
Bharat Mediratta wrote:
> 
> It's been 3 months since the last activity on this bug.  Can we please
> get this packaged?  Michael, I am more than happy to beat the bushes to
> find a new maintainer but right now this seems to be going nowhere which
> is very frustrating.

I apologize for the continued delays - I'll get the packaging finished
ASAP.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Sat, 22 Jan 2011 23:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharat Mediratta <bharat@menalto.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sat, 22 Jan 2011 23:00:03 GMT) Full text and rfc822 format available.

Message #58 received at 511715@bugs.debian.org (full text, mbox):

From: Bharat Mediratta <bharat@menalto.com>
To: Michael Schultheiss <schultmc@debian.org>
Cc: 511715@bugs.debian.org
Subject: Re: Bug#511715: ...time passes
Date: Sat, 22 Jan 2011 14:58:27 -0800
On 1/10/2011 8:27 PM, Michael Schultheiss wrote:
> Bharat Mediratta wrote:
>>
>> It's been 3 months since the last activity on this bug.  Can we please
>> get this packaged?  Michael, I am more than happy to beat the bushes to
>> find a new maintainer but right now this seems to be going nowhere which
>> is very frustrating.
> 
> I apologize for the continued delays - I'll get the packaging finished
> ASAP.

Michael, it's now been another 12 days which brings this to over two
years that we've been waiting on you to make some progress on making a
Debian package for Gallery 3.  I'm gearing up to release Gallery 3.0.1
this weekend which means that Debian users have not had a package for
the 3.0 release at all.

I've asked nicely, sent polite pings, given plenty of notice and heard
lots of promises but seen no results.  This is very frustrating.

In a week or so if I don't see any progress, I'm going to officially ask
the broadest possible audience for somebody to take over packaging
Gallery 3 for Debian.

regards,
-Bharat




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511715; Package wnpp. (Sun, 23 Jan 2011 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Jan 2011 07:03:03 GMT) Full text and rfc822 format available.

Message #63 received at 511715@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Bharat Mediratta <bharat@menalto.com>
Cc: Michael Schultheiss <schultmc@debian.org>, 511715@bugs.debian.org
Subject: Re: Bug#511715: ...time passes
Date: Sun, 23 Jan 2011 01:58:40 -0500
[Message part 1 (text/plain, inline)]
Bharat Mediratta wrote:
> In a week or so if I don't see any progress, I'm going to officially ask
> the broadest possible audience for somebody to take over packaging
> Gallery 3 for Debian.

The Debian packages for 3.0.1 were uploaded a few minutes ago.  Since
this is a new package, they will not be available in Debian Unstable
until after the FTP Masters process the upload.  I can host packages on
people.debian.org in the meantime.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Sun, 23 Jan 2011 07:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharat Mediratta <bharat@menalto.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sun, 23 Jan 2011 07:48:03 GMT) Full text and rfc822 format available.

Message #68 received at 511715@bugs.debian.org (full text, mbox):

From: Bharat Mediratta <bharat@menalto.com>
To: Michael Schultheiss <schultmc@debian.org>
Cc: 511715@bugs.debian.org
Subject: Re: Bug#511715: ...time passes
Date: Sat, 22 Jan 2011 23:45:32 -0800
On 1/22/11 10:58 PM, Michael Schultheiss wrote:
> Bharat Mediratta wrote:
>> In a week or so if I don't see any progress, I'm going to officially ask
>> the broadest possible audience for somebody to take over packaging
>> Gallery 3 for Debian.
> 
> The Debian packages for 3.0.1 were uploaded a few minutes ago.  Since
> this is a new package, they will not be available in Debian Unstable
> until after the FTP Masters process the upload.  I can host packages on
> people.debian.org in the meantime.

Thanks, Michael.  Roughly when will it show up in unstable?  I'd love to
test it out.

-Bharat




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511715; Package wnpp. (Sun, 23 Jan 2011 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Jan 2011 08:03:03 GMT) Full text and rfc822 format available.

Message #73 received at 511715@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Bharat Mediratta <bharat@menalto.com>
Cc: Michael Schultheiss <schultmc@debian.org>, 511715@bugs.debian.org
Subject: Re: Bug#511715: ...time passes
Date: Sun, 23 Jan 2011 02:58:06 -0500
Bharat Mediratta wrote:
> Thanks, Michael.  Roughly when will it show up in unstable?  I'd love to
> test it out.

Normally it takes about a week but since the new stable release is
coming out shortly, it may take a bit longer.  I'll get the package
uploaded to people.debian.org this afternoon.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 19:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511715; Package wnpp. (Sun, 23 Jan 2011 20:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Jan 2011 20:12:07 GMT) Full text and rfc822 format available.

Message #80 received at 511715@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Friedemann Schorer <friedemann@familie-schorer.de>, Bharat Mediratta <bharat@menalto.com>, 511715@bugs.debian.org
Cc: schultmc@debian.org
Subject: gallery3 Debian package
Date: Sun, 23 Jan 2011 15:08:52 -0500
[Message part 1 (text/plain, inline)]
Michael Schultheiss wrote:
> Bharat Mediratta wrote:
> > Thanks, Michael.  Roughly when will it show up in unstable?  I'd love to
> > test it out.
> 
> Normally it takes about a week but since the new stable release is
> coming out shortly, it may take a bit longer.  I'll get the package
> uploaded to people.debian.org this afternoon.

While awaiting the gallery3 package's migration into Debian Unstable,
packages can be obtained from my people.debian.org repository.  To
access the package:

1. Add the following to /etc/apt/sources.list.d/gallery3.list

deb http://people.debian.org/~schultmc/debian unstable/
deb-src http://people.debian.org/~schultmc/debian unstable/

2. sudo apt-key adv --keyserver keyring.debian.org --recv-keys 9EC002FE1C9CA517
3. sudo apt-get update
4. sudo apt-get install gallery3

/etc/gallery3/apache.conf has the /gallery3 alias disabled by default -
for testing purposes you'll most likely want to uncomment out the alias
and restart apache.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Sun, 23 Jan 2011 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bharat Mediratta <bharat@menalto.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sun, 23 Jan 2011 23:33:03 GMT) Full text and rfc822 format available.

Message #85 received at 511715@bugs.debian.org (full text, mbox):

From: Bharat Mediratta <bharat@menalto.com>
To: Michael Schultheiss <schultmc@debian.org>
Cc: Friedemann Schorer <friedemann@familie-schorer.de>, 511715@bugs.debian.org
Subject: Re: gallery3 Debian package
Date: Sun, 23 Jan 2011 15:29:47 -0800
> /etc/gallery3/apache.conf has the /gallery3 alias disabled by default -
> for testing purposes you'll most likely want to uncomment out the alias
> and restart apache.

Ok, I've got it installed.  Some notes:

1) In the current state with the Alias disabled by default, it's not
usable after installation and there are no instructions on how to make
it usable.  Why not enable the /gallery3 alias by default?

2) After enabling the /gallery3 alias it then takes me to the installer,
which it should not have to.  There's enough information there for the
debian package to set it up automatically.  A few notes on what we
should be doing:

- I don't like /var/lib/gallery3/g3data -- it's too close to g2data and
  is bound to cause some confusion.  I think we should just use
  /var/lib/gallery3 as the directory and not have a subdir.

- /usr/share/gallery3/var should be a symlink to /var/lib/gallery3

- The package installer should be doing the install as well.  This is as
  easy as running:

    php5 /usr/share/gallery3/installer/index.php \
      -u root \
      -p <mysql_root_pw> \
      -d gallery3

If you do those steps in the debian package, then after the package
install is finished, Gallery 3 is ready to go at /gallery3, which is the
desired result.  Anything less than that will result in a ton of forum
support for us, which is not what we want out of this.

Upon upgrade, the package should run "php5 index.php upgrade" after
installing new files and it's good to go.

-Bharat




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Thu, 23 Jun 2011 07:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to <friedemann.schorer@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Thu, 23 Jun 2011 07:45:09 GMT) Full text and rfc822 format available.

Message #90 received at 511715@bugs.debian.org (full text, mbox):

From: Friedemann Schorer <friedemann@familie-schorer.de>
To: <511715@bugs.debian.org>
Subject: (kein Betreff)
Date: Thu, 23 Jun 2011 09:35:43 +0200
[Message part 1 (text/plain, inline)]
  

Hi, 

3.0.2 is out for a while nowq, and gallery3 still didn't make
it into sid. 

Any progress on the horizon here? 

Thx, 

Friedemann 
--


F.Schorer, Germany
Please visit http://www.cacert.org/ [1] to learn
more about digital certificates and how to get your own for free.

If
you'd like to have your identity verified many assurers worldwide
(including me) will be happy to meet you personally to do so. Find one
on the website!
If you'd like to verify the signature of a mail signed
with a CAcert key, please import CAcert's root keys from
https://www.cacert.org/index.php?id=3 [2] 
  

Links:
------
[1]
http://www.cacert.org/
[2] https://www.cacert.org/index.php?id=3
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Wed, 10 Aug 2011 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Wed, 10 Aug 2011 08:00:03 GMT) Full text and rfc822 format available.

Message #95 received at 511715@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Michael Schultheiss <schultmc@debian.org>, 511715@bugs.debian.org
Subject: Re: Bug#511715: gallery3 Debian package
Date: Wed, 10 Aug 2011 09:57:34 +0200
[Message part 1 (text/plain, inline)]
Hello Michael,

I want to take some news about the packaging of Gallery 3. It has been
several years since this ITP report was filed, and I know you have not
abandonned it since you have updated your package only a month ago.

However, even though you seem to have a working package (I have not
tested it yet), it is still not part of Debian, and not even in the NEW
queue. I do not know why this is stalled, but could you either explain
if there is some specific reason for that, or ask for help?

Packaging software is a good thing, but if it is not to release them I
think it is only a waste of time…


Librement,

-- 
 ,--.
: /` )   Tanguy Ortolo <xmpp:tanguy@ortolo.eu> <irc://irc.oftc.net/Elessar>
| `-'    Debian Maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Wed, 10 Aug 2011 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Wed, 10 Aug 2011 08:33:03 GMT) Full text and rfc822 format available.

Message #100 received at 511715@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: control@bugs.debian.org, 511715@bugs.debian.org
Cc: Anibal Monsalve Salazar <anibal@debian.org>
Subject: Re: tagging as pending bugs that are closed by packages in NEW
Date: Wed, 10 Aug 2011 10:30:57 +0200
[Message part 1 (text/plain, inline)]
# For some reason gallery3 is no longer in NEW…
tag 511715 - pending
thanks

Hello,

Anibal Monsalve Salazar, 2011-01-24 06:03 UTC+1100:
> # Sun Jan 23 19:03:12 UTC 2011
> # Tagging as pending bugs that are closed by packages in NEW
> # http://ftp-master.debian.org/new.html
> #
> # Source package in NEW: gallery3
> tags 511715 + pending

It looks like gallery3 was in NEW. But it is no longer: could we know
why it was rejected? I would like to see this package in Debian, and it
is too bad to wait for that with no news at all. If I can be of any help
to solve whatever prevents it from entering Debian, just tell me!


Librement,

-- 
 ,--.
: /` )   Tanguy Ortolo <xmpp:tanguy@ortolo.eu> <irc://irc.oftc.net/Elessar>
| `-'    Debian Maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) pending. Request was from Tanguy Ortolo <tanguy+debian@ortolo.eu> to control@bugs.debian.org. (Wed, 10 Aug 2011 08:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511715; Package wnpp. (Wed, 10 Aug 2011 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 10 Aug 2011 14:09:03 GMT) Full text and rfc822 format available.

Message #107 received at 511715@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Cc: Michael Schultheiss <schultmc@debian.org>, 511715@bugs.debian.org
Subject: Re: Bug#511715: gallery3 Debian package
Date: Wed, 10 Aug 2011 10:01:11 -0400
[Message part 1 (text/plain, inline)]
Tanguy Ortolo wrote:
> Hello Michael,
> 
> I want to take some news about the packaging of Gallery 3. It has been
> several years since this ITP report was filed, and I know you have not
> abandonned it since you have updated your package only a month ago.
> 
> However, even though you seem to have a working package (I have not
> tested it yet), it is still not part of Debian, and not even in the NEW
> queue. I do not know why this is stalled, but could you either explain
> if there is some specific reason for that, or ask for help?
> 
> Packaging software is a good thing, but if it is not to release them I
> think it is only a waste of time…

The thread at
http://sourceforge.net/mailarchive/message.php?msg_id=27792791 has the
current status of Gallery3 and Debian.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Wed, 10 Aug 2011 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Wed, 10 Aug 2011 14:24:03 GMT) Full text and rfc822 format available.

Message #112 received at 511715@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Michael Schultheiss <schultmc@debian.org>, 511715@bugs.debian.org
Subject: Re: Bug#511715: gallery3 Debian package
Date: Wed, 10 Aug 2011 16:22:16 +0200
[Message part 1 (text/plain, inline)]
Michael Schultheiss, 2011-08-10 10:01 UTC-0400:
> The thread at
> http://sourceforge.net/mailarchive/message.php?msg_id=27792791 has the
> current status of Gallery3 and Debian.

Thank you. This explains the unfortunate delay.

For your information I had to deal with the exact same problem (license
information for third-party libraries and Flash applets) for my package
dokuwiki, although it was already in Debian. For the license information
I had to track these third-party libraries to get their original
licenses, and to find their authors to have them re-license them when it
was not clear. For the Flash applets, this appears to be a common
problem with no current solution, so I chose to simply remove them
(fortunately they were really secondary in DokuWiki) and document how to
restore them if needed.

Seen you last modifications to the copyright file, I guess the license
information issue can be considerer as fixed, although it would be a
good occastion to switch to the DEP-5 copyright format that seems more
appropriate for complex license information.

I do not know if an acceptable solution can be found for the Flash
applets. The possibilities I see are:
* have the Flash applets, along with their source, accepted by the
  ftpmaster team even though we have no tool to recompile them;
* put gallery3 in contrib;
* remove the Flash applets;
* put the Flash applets in a distinct package in contrib.

Anyway, I would like to say that there is actually a point in having
gallery3 in Debian if it is possible.  Indeed, people often have a
Debian server and want to install Gallery on it, but I do not think the
opposite situation (people installing Debian because they want to run
Gallery) is as frequent. Thus I think most potential users of Gallery 3
under Debian will first try to use their regular tools to search a
package to install, and perhaps go no further when they see that
gallery3 is not available (this is where I failed, for instance): going
to the upstream website for instructions is not such a common practice
amng Debian users.


Librement,

-- 
 ,--.
: /` )   Tanguy Ortolo <xmpp:tanguy@ortolo.eu> <irc://irc.oftc.net/Elessar>
| `-'    Debian Maintainer
 \_
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Sun, 04 Mar 2012 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Sun, 04 Mar 2012 23:06:03 GMT) Full text and rfc822 format available.

Message #117 received at 511715@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: Michael Schultheiss <schultmc@debian.org>
Cc: 511715@bugs.debian.org
Subject: Re: ITP: gallery3 -- web-based photo album written in PHP
Date: Mon, 05 Mar 2012 00:02:57 +0100
[Message part 1 (text/plain, inline)]
Coin,

Quoting you from Gallery's ML:
> Another thing that should be discussed is whether it's worth having a
> gallery3 package in the main Debian repository.  The benefit of having a
> package in the Debian repository is the simplicity of installation via
> "apt-get install gallery3"
>
> Having a gallery3 package hosted outside of the main Debian repository
> (such as my people.debian.org repository) gets the same benefit,
> assuming one has configured their system to access that repository.
> While initially somewhat complicated, the setup is a one time cost.
> There are also ways to simplify the repository setup, such as a helper
> package.

You're not the only DD having hit a license problem, and if every (if  
not all) DD had created a personal repository for each package causing  
problem, there would be no central repository at all. Do you intend to  
support sid, testing, stable, and security up to old-stable by  
yourself in the long run? Do you really think this situation is  
sustainable?

Now that you have tell upstream that it is not necessary, do you think  
anyone of them will help you solve the licensing problem? You also  
forgot about the trust and security problem caused by adding any apt  
key like explained in your installation procedure[1]. What would  
happen if your GPG key is compromised?

If you want to help Debian and your users you'll have to clean this up  
and make up a decision. If the source code of the SWF apps cannot be  
provided, then i think you could provide a package with such files  
removed and the corresponding features deactivated. If you also want  
to care about the lost features, and if these files are _really_  
allowed to be distributed at all, then you may package them separately  
in a non-free package which would enhance the free one (and provide a  
helper script of some sort to activate the feature if needed).

Please do not consider this mail an offensive one. I just think you  
made a mistake and i wanted to explain my point of view. I also think  
you should perfectly be able to improve the situation. Don't forget  
you may also ask your fellow developers for opinions and/or help on  
the MLs.


[1] http://codex.gallery2.org/Gallery3:Installation_on_Debian

-- 
Marc Dequènes (Duck)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#511715; Package wnpp. (Thu, 08 Mar 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schultheiss <schultmc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 08 Mar 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #122 received at 511715@bugs.debian.org (full text, mbox):

From: Michael Schultheiss <schultmc@debian.org>
To: Marc Dequènes (Duck) <duck@duckcorp.org>, 511715@bugs.debian.org
Cc: Michael Schultheiss <schultmc@debian.org>
Subject: Re: Bug#511715: ITP: gallery3 -- web-based photo album written in PHP
Date: Wed, 7 Mar 2012 19:03:59 -0500
Marc Dequènes (Duck) wrote:
> You're not the only DD having hit a license problem, and if every
> (if not all) DD had created a personal repository for each package
> causing problem, there would be no central repository at all. Do you
> intend to support sid, testing, stable, and security up to
> old-stable by yourself in the long run? Do you really think this
> situation is sustainable?

No, the situation isn't sustainable.  The Gallery project has no free
time to help fix the license issue.  A call for assistance was made to
the gallery-devel mailing list and no one stepped up to take up the
task.

> Now that you have tell upstream that it is not necessary, do you
> think anyone of them will help you solve the licensing problem? You
> also forgot about the trust and security problem caused by adding
> any apt key like explained in your installation procedure[1]. What
> would happen if your GPG key is compromised?
> 
> If you want to help Debian and your users you'll have to clean this
> up and make up a decision. If the source code of the SWF apps cannot
> be provided, then i think you could provide a package with such
> files removed and the corresponding features deactivated. If you
> also want to care about the lost features, and if these files are
> _really_ allowed to be distributed at all, then you may package them
> separately in a non-free package which would enhance the free one
> (and provide a helper script of some sort to activate the feature if
> needed).
> 
> Please do not consider this mail an offensive one. I just think you
> made a mistake and i wanted to explain my point of view. I also
> think you should perfectly be able to improve the situation. Don't
> forget you may also ask your fellow developers for opinions and/or
> help on the MLs.

I haven't taken offence.  I've removed SWF files from previous Gallery
versions since they weren't key to the functionality of the software.  I
haven't yet had time to determine whether the SWF files can be removed
from Gallery 3 in a similar manner.  I'll test that out and ask for
further assistance if needed.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>:
Bug#511715; Package wnpp. (Mon, 27 May 2013 13:32:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Michael Schultheiss <schultmc@debian.org>. (Mon, 27 May 2013 13:32:54 GMT) Full text and rfc822 format available.

Message #127 received at 511715@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 511715@bugs.debian.org
Cc: control@bugs.debian.org
Subject: gallery3: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:16 +0200
retitle 511715 RFP: gallery3 -- web-based photo album written in PHP
noowner 511715
tag 511715 - pending
thanks

Hi,

This is an automatic email to change the status of gallery3 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting gallery3, please send a mail to
<control@bugs.debian.org> with:

 retitle 511715 ITP: gallery3 -- web-based photo album written in PHP
 owner 511715 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <511715@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: gallery3 -- web-based photo album written in PHP' from 'ITP: gallery3 -- web-based photo album written in PHP' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:55:11 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Michael Schultheiss <schultmc@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:55:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:03:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.